From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/metee/
Date: Mon, 23 Sep 2024 16:58:49 +0000 (UTC) [thread overview]
Message-ID: <1727110711.4d157c650cd5fc2ac676b111211c5b9c3a6ddd48.conikost@gentoo> (raw)
commit: 4d157c650cd5fc2ac676b111211c5b9c3a6ddd48
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 23 16:57:29 2024 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Sep 23 16:58:31 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d157c65
dev-libs/metee: add 4.2.1
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
dev-libs/metee/Manifest | 1 +
dev-libs/metee/metee-4.2.1.ebuild | 37 +++++++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-libs/metee/Manifest b/dev-libs/metee/Manifest
index 96d86092e6f8..2fb6bffed3a2 100644
--- a/dev-libs/metee/Manifest
+++ b/dev-libs/metee/Manifest
@@ -1 +1,2 @@
DIST metee-4.2.0.tar.gz 100680 BLAKE2B 3852ea36f48f3d06bad3154c4089519fad44b991bc4f05870815b1bdad86bef070cdb4033404f63a8a3cb34b815421da846a04838517b31a1c4a090667fd7764 SHA512 0a479a57396ee82eb84836d8d97013bea5c9968be9de506cf378c58121a7c681c742f700ab3241804da17ccb118bd3a6c928893dc4e11cb5be2faad47dfb7dc0
+DIST metee-4.2.1.tar.gz 101949 BLAKE2B 03878099f372276cb1f1a464ecb8c9f31e4aad5e85ba02b9c821ec9483c1749f99368a6ecfcb6e9426b6f09d04356f2aa96122a485c8d69a424271a8b76221af SHA512 e2be12d17c236afb10a3deba9d85686c3e26637320995b3af8f370aa689fd5415974b3e8a8e3935c864efa40e37055d4a10476df9691db6a42a2e723bd939788
diff --git a/dev-libs/metee/metee-4.2.1.ebuild b/dev-libs/metee/metee-4.2.1.ebuild
new file mode 100644
index 000000000000..eb83679eaa02
--- /dev/null
+++ b/dev-libs/metee/metee-4.2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Cross-platform access library for Intel CSME HECI interface"
+HOMEPAGE="https://github.com/intel/metee"
+SRC_URI="https://github.com/intel/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+BDEPEND="doc? ( app-text/doxygen )"
+
+src_prepare() {
+ default
+ cmake_src_prepare
+
+ # Respect users CFLAGS
+ sed -e 's/-D_FORTIFY_SOURCE=2 -O2//' -e 's/-Werror//' -i linux.cmake || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_DOCS="$(usex doc)"
+ -DBUILD_SAMPLES="NO"
+ -DBUILD_SHARED_LIBS="YES"
+ -DBUILD_TEST="NO"
+ -DCONSOLE_OUTPUT="NO"
+ )
+
+ cmake_src_configure
+}
next reply other threads:[~2024-09-23 16:58 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-23 16:58 Conrad Kostecki [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-28 20:48 [gentoo-commits] repo/gentoo:master commit in: dev-libs/metee/ Conrad Kostecki
2025-03-28 20:48 Conrad Kostecki
2025-02-21 23:28 Conrad Kostecki
2025-01-23 23:19 Conrad Kostecki
2024-09-29 14:57 Conrad Kostecki
2024-09-29 14:57 Conrad Kostecki
2024-07-27 17:54 Conrad Kostecki
2024-07-27 17:54 Conrad Kostecki
2024-07-26 20:52 Conrad Kostecki
2024-06-27 15:40 Conrad Kostecki
2024-02-08 21:50 Conrad Kostecki
2024-02-08 21:50 Conrad Kostecki
2023-12-28 18:32 Conrad Kostecki
2023-08-15 22:40 Conrad Kostecki
2023-08-15 22:40 Conrad Kostecki
2023-07-15 20:37 Conrad Kostecki
2023-03-04 0:00 Conrad Kostecki
2023-03-04 0:00 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2022-12-30 23:39 Conrad Kostecki
2022-05-28 13:44 Conrad Kostecki
2022-05-24 20:37 Conrad Kostecki
2022-05-24 20:37 Conrad Kostecki
2022-04-23 18:33 Conrad Kostecki
2022-03-12 11:52 Conrad Kostecki
2022-03-12 11:52 Conrad Kostecki
2021-09-21 6:35 Agostino Sarubbo
2021-08-22 14:12 Conrad Kostecki
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1727110711.4d157c650cd5fc2ac676b111211c5b9c3a6ddd48.conikost@gentoo \
--to=conikost@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox